Subject: Re: [bitcoin-dev] Mempool "Expected Byte Stay" policy

From: Thomas Zander <[email-masked]>
Date: Thu, 16 Jul 2015 11:38:54 +0200

On Wednesday 15. July 2015 16.15.24 Tom Harding via bitcoin-dev wrote:
> On 7/15/2015 12:18 PM, Thomas Zander via bitcoin-dev wrote:
> > On Tuesday 14. July 2015 17.24.23 Tom Harding via bitcoin-dev wrote:
> >> Rule 2: A transaction and its dependents are evicted on its 2-hour
> >> anniversary, whether space is required or not
> > 
> > Instead of 2 hours, why not a number of blocks?
> 
> So users/wallets can know when they should rebroadcast and consider 
> increasing the fee.
> 
> 
> Using 12 blocks, there is a 5% chance he has to wait 3 hours.*
> 
> Using 120 minutes, there is only a .23% chance that fewer than 4 blocks 
> have occurred.**

Using the good old saying; results in the past are no indication of the 
future.
I see a logic error in your thinking.

Your assumption that time is a better indicator is false. Naturally time 
itself is universal, but blocks are known by wallets too. Its just as good.

This assumption of yours leans heavily on block mining times, and that is
not guaranteed in the future.  Imagine one day half the miners dropping and 
blocks take much longer for a week or so.  Your assumptions just broke the 
mempool.

-- 
Thomas Zander